/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workofficechange.entity;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workregularapply.entity.WorkRegularScore;

/**
 * 部门调转Entity
 * @author chenyuping
 * @version 2018-08-01
 */
public class WorkOfficeChange extends ActEntity<WorkOfficeChange> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 所属部门
	private String companyId;		// 所属公司
	private String changeOffice;		// 调入部门
	private String changeOfficeName;		// 调入部门
	private String changer;		// 调用人
	private String number;		// 编号
	private Date changeDate;		// 调用日期
	private String changeFor;		// 调转原因
	private String state;		// 申请状态
	private String processInstanceId;		// 流程实例id
	private Date beginDate;
	private Date endDate;
	private String userName;
	private String home;
	private List<WorkOfficeChangeUser> WorkOfficeChangeUserList;
	public WorkOfficeChange() {
		super();
	}

	public WorkOfficeChange(String id){
		super(id);
	}

	public List<WorkOfficeChangeUser> getWorkOfficeChangeUserList() {
		return WorkOfficeChangeUserList;
	}

	public void setWorkOfficeChangeUserList(List<WorkOfficeChangeUser> workOfficeChangeUserList) {
		WorkOfficeChangeUserList = workOfficeChangeUserList;
	}
	@ExcelField(title="调入部门", align=2, sort=2)
	public String getChangeOfficeName() {
		return changeOfficeName;
	}

	public void setChangeOfficeName(String changeOfficeName) {
		this.changeOfficeName = changeOfficeName;
	}


	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	

	public String getChangeOffice() {
		return changeOffice;
	}

	public void setChangeOffice(String changeOffice) {
		this.changeOffice = changeOffice;
	}
	

	public String getChanger() {
		return changer;
	}

	public void setChanger(String changer) {
		this.changer = changer;
	}
	
	@ExcelField(title="编号", align=2, sort=1)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd")
	@ExcelField(title="调用日期", align=2, sort=3)
	public Date getChangeDate() {
		return changeDate;
	}

	public void setChangeDate(Date changeDate) {
		this.changeDate = changeDate;
	}
	
	@ExcelField(title="调转原因", align=2, sort=5)
	public String getChangeFor() {
		return changeFor;
	}

	public void setChangeFor(String changeFor) {
		this.changeFor = changeFor;
	}
	
	@ExcelField(title="申请状态", align=2, sort=6,dictType = "audit_state")
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
	

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	@ExcelField(title="调用人", align=2, sort=4)
	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}
}